Bug 458968 - [RHEL5.3]: Make libvirt understand new expanded xvd devices in guests
[RHEL5.3]: Make libvirt understand new expanded xvd devices in guests
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Chris Lalancette
Virtualization Bugs
:
Depends On:
Blocks: 449772
  Show dependency treegraph
 
Reported: 2008-08-13 10:27 EDT by Chris Lalancette
Modified: 2009-12-14 16:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:21:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Allow libvirt 0.3.3 to see Xen expanded block devices (8.48 KB, patch)
2008-08-13 10:27 EDT, Chris Lalancette
no flags Details | Diff
Updated libvirt expand vbd patch (10.77 KB, patch)
2008-08-13 11:26 EDT, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2008-08-13 10:27:38 EDT
Created attachment 314210 [details]
Allow libvirt 0.3.3 to see Xen expanded block devices

Description of problem:
A series of patches was recently posted (and ACK'ed for inclusion) to expand the number of xvd devices that a PV guest (or PV-on-HVM guest) can see.  In order for libvirt to get block statistics about these new devices, we need to revamp the code that converts a device name (xvda) to a block number (51712).  The patch below (backported from libvirt CVS) does just this.
Comment 2 Chris Lalancette 2008-08-13 11:26:08 EDT
Created attachment 314215 [details]
Updated libvirt expand vbd patch

Based on feedback from DanB, updated patch with virStrToLong backported.  I still need to test this.
Comment 4 Chris Lalancette 2008-09-16 05:12:06 EDT
Committed in libvirt-0.3.3-13.el5
Comment 9 errata-xmlrpc 2009-01-20 16:21:32 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0142.html

Note You need to log in before you can comment on or make changes to this bug.